
QGIS Application - Bug report #4334

Symbology classes order lost PLUS wrong order after editing a label

2011-09-28 04:02 AM - Jonathan Moules

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14271

Description

The list returns to random order after every change to a symbol.

Original text:

I'm using the "New symbology" style thing, set to "categorised". 

a) I've used the "classify" button (I'd suggest renaming it to something more self descriptive btw - "Add All" or "Find All" or "Classify All")

and it's found all of the values.

b) I then click on the "Value" column to get all the list in alphabetical order. So far so good.

c) I then double click on the first symbol, symbolise it how I want and click "ok", taking me back to the symbology screen.

The problem is, the symbology screen is no-longer ordered by "value", it's using whatever the original random ordering is. It only does this

if you click "ok" to change a symbology. "Cancel" doesn't.

History

#1 - 2011-09-28 05:42 AM - Jonathan Moules

This bug is worse than the minor nuisance it seems.

After step (b) but before (c), change the "Label" for a feature. When you then do step (c) and press ok, you'll see that the "Value" column is re-organised

(per original report), but that the "Label" column isn't. This means the user ends up with the Labels being for the wrong Values!

#2 - 2011-09-30 04:32 AM - Anita Graser

- Subject changed from Categorised symbol list to Categorised symbol list does not remember order

#3 - 2011-10-02 06:30 AM - Giovanni Manghi

- Category set to Symbology

- Assignee set to Martin Dobias

- Priority changed from Normal to High

- Operating System deleted (Windows)

- OS version changed from 1.7.0 to trunk

I can confirm the issues on trunk/Linux. Moreover ordering by "value" orders always as text, even if the column used for the symbology is integer or real.

#4 - 2011-10-02 11:57 AM - Giovanni Manghi

- Subject changed from Categorised symbol list does not remember order to Categorised symbol list does not remember order PLUS wrong order after 

editing a label
see also #4299

#5 - 2011-10-07 10:14 AM - Giovanni Manghi

- Subject changed from Categorised symbol list does not remember order PLUS wrong order after editing a label to symbology classes order lost PLUS 

wrong order after editing a label

see also #4364

Moreover:

when adding a class in the "categorized" symbology it is always added as last (as already explained after reordering and closing the properties the order is

lost) while when adding a "graduated" class it is always added as first.

#6 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#7 - 2011-12-24 07:40 AM - Giovanni Manghi

- Subject changed from symbology classes order lost PLUS wrong order after editing a label to Symbology classes order lost PLUS wrong order after 

editing a label

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

All the issues are confirmed in the actual master release.

#8 - 2012-04-16 05:50 AM - Giovanni Manghi

- Status changed from Open to Feedback

Still true?

#9 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#10 - 2012-08-17 05:27 AM - Jonathan Moules

This still happens in 1.8.0.1

#11 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#12 - 2012-10-04 02:50 PM - Giovanni Manghi

- Assignee deleted (Martin Dobias)

- Status changed from Feedback to Open

- OS version deleted (trunk)
All confirmed in the latest master and particularly nasty is #4334-1

#13 - 2012-12-30 09:18 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

this seems fixed in master, please reopen if necessary.
